Error starting pyplanet

Python 3 Server Controller for Trackmania and Shootmania for script-only modes.

Moderators: TheM, toffe, NADEO

Post Reply
danidevitto
Posts: 1
Joined: 01 Sep 2018, 14:36

Error starting pyplanet

Post by danidevitto » 01 Sep 2018, 14:45

Hello guys, i've followed every single step on installing pyplanet.

MySQL is version 8, when ever i try to run the command: phyton manage.p.y start ill get the following error's:

Don't let me post the right name of the file... XDDD

Thanks in advance for your help

INFO [Main][pyplanet.core.management.commands.start] Initiated configuration and environment...
INFO [Main][pyplanet.core.management.commands.start] -------------------------------[ PyPlanet v0.6.0 ]-------------------------------
INFO [MainThread][pyplanet.god.process] Starting pool process for 'default'...
INFO [default][root] Database connection established!
ERROR [default][pyplanet.core.instance] (2003, "Can't connect to MySQL server on 'localhost'")
Traceback (most recent call last):
File "C:\TMServer\PyPlanet\env\lib\site-packages\aiomysql\connection.p.y", line 481, in _connect
yield from self._get_server_information()
File "C:\TMServer\PyPlanet\env\lib\site-packages\aiomysql\connection.p.y", line 834, in _get_server_information
self.server_charset = charset_by_id(lang).name
File "C:\TMServer\PyPlanet\env\lib\site-packages\pymysql\charset.p.y", line 38, in by_id
return self._by_id[id]
KeyError: 255

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "C:\TMServer\PyPlanet\env\lib\site-packages\pyplanet\core\instance.p.y", line 127, in start
self.loop.run_until_complete(self._start())
File "c:\users\danidevitto\appdata\local\programs\python\python36\Lib\asyncio\base_events.p.y", line 466, in run_until_complete
return future.result()
File "C:\TMServer\PyPlanet\env\lib\site-packages\pyplanet\core\instance.p.y", line 190, in _start
await self.setting_manager.on_start()
File "C:\TMServer\PyPlanet\env\lib\site-packages\pyplanet\contrib\setting\manager.p.y", line 53, in on_start
await self.register(performance_mode)
File "C:\TMServer\PyPlanet\env\lib\site-packages\pyplanet\contrib\setting\manager.p.y", line 29, in register
await asyncio.gather(*[s.initiate_setting() for s in settings])
File "C:\TMServer\PyPlanet\env\lib\site-packages\pyplanet\contrib\setting\setting.p.y", line 84, in initiate_setting
value=None
File "C:\TMServer\PyPlanet\env\lib\site-packages\pyplanet\apps\core\pyplanet\models\setting.p.y", line 86, in get_or_create_from_info
setting = await cls.get(key=key, app=app)
File "C:\TMServer\PyPlanet\env\lib\site-packages\pyplanet\core\db\model.p.y", line 53, in get
return await cls.objects.get(cls, *args, **kwargs)
File "C:\TMServer\PyPlanet\env\lib\site-packages\peewee_async.p.y", line 153, in get
yield from self.connect()
File "C:\TMServer\PyPlanet\env\lib\site-packages\peewee_async.p.y", line 303, in connect
yield from self.database.connect_async(loop=self.loop)
File "C:\TMServer\PyPlanet\env\lib\site-packages\peewee_async.p.y", line 907, in connect_async
yield from conn.connect()
File "C:\TMServer\PyPlanet\env\lib\site-packages\peewee_async.p.y", line 1260, in connect
**self.connect_kwargs)
File "C:\TMServer\PyPlanet\env\lib\site-packages\aiomysql\utils.p.y", line 70, in __iter__
resp = yield from self._coro
File "C:\TMServer\PyPlanet\env\lib\site-packages\aiomysql\pool.p.y", line 30, in _create_pool
yield from pool._fill_free_pool(False)
File "C:\TMServer\PyPlanet\env\lib\site-packages\aiomysql\pool.p.y", line 173, in _fill_free_pool
**self._conn_kwargs)
File "C:\TMServer\PyPlanet\env\lib\site-packages\aiomysql\utils.p.y", line 70, in __iter__
resp = yield from self._coro
File "C:\TMServer\PyPlanet\env\lib\site-packages\aiomysql\connection.p.y", line 79, in _connect
yield from conn._connect()
File "C:\TMServer\PyPlanet\env\lib\site-packages\aiomysql\connection.p.y", line 502, in _connect
self._host) from e
pymysql.err.OperationalError: (2003, "Can't connect to MySQL server on 'localhost'")
INFO [default][root] Apps successfully stopped!
CRITICAL [Main][pyplanet.god.pool] The instance 'default' just died. We will not restart!
CRITICAL [Main][pyplanet.god.pool] All instances died. Quitting now...

User avatar
Chris92
Translator
Translator
Posts: 940
Joined: 15 Jun 2010, 13:22
Location: Vilshofen, Germany
Contact:

Re: Error starting pyplanet

Post by Chris92 » 02 Sep 2018, 08:53

Have you set up the MySQL connection details in /settings/base.py as noted in the documentation?
Image

Maintainer of AdminServ - Follow @AdminServ on Twitter!
Check out my Personal Twitter account!

User avatar
toffe
Posts: 690
Joined: 15 Jun 2013, 10:57
Location: The Netherlands
Contact:

Re: Error starting pyplanet

Post by toffe » 02 Sep 2018, 14:28

MySQL 8.x is not supported yet. Sorry.

Post Reply

Return to “PyPlanet”

Who is online

Users browsing this forum: No registered users and 2 guests